2003-04-23  Ken Raeburn  <raeburn@mit.edu>

	* quad_cksum.c, t_pcbc.c, t_quad.c, verify.c: Don't declare errno
	or errmsg.

2003-03-06  Alexandra Ellwood  <lxs@mit.edu>

    * mac_des_glue.c, des.c, enc_dec.c, key_sched.c, str_to_key.c: 
    Move KfM des functions into their own file.  They are all 
    deprecated on KfM and shouldn't even get built on stock krb5 builds.
    
    * read_passwd.c:  Added warning comment that des_read_pw_string 
    is an exported function on KfM, so we should not change its ABI.

2003-02-10  Tom Yu  <tlyu@mit.edu>

	* str_to_key.c (afs_string_to_key): Move out from under
	TARGET_OS_MAC conditional.

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't explicitly invoke AC_PROG_INSTALL, or check
	for #pragma weak.

	* Makefile.in: Add AC_SUBST_FILE marker for lib_frag and libobj_frag.

2002-10-10  Sam Hartman  <hartmans@mit.edu>

	* read_passwd.c : Implement in terms of krb5_prompter_posix

2002-09-26  Tom Yu  <tlyu@mit.edu>

	* cksum.c (des_cbc_cksum): Update API for KfM merge.

	* des.c (des_ecb_encrypt): Update API for KfM merge.
	(des_3ecb_encrypt): New (emulated) function from KfM.

	* enc_dec.c (des_cbc_encrypt): Update API for KfM merge.
	(des_3cbc_encrypt): New (emulated) function from KfM.

	* key_sched.c (make_key_sched): New (emulated) function for KfM.

	* new_rnd_key.c (des_generate_random_block) 
	(des_set_random_generator_seed, des_set_sequence_number):
	New (emulated) functions from KfM.

	* read_passwd.c (des_rd_pwstr_2prompt): Renamed from
	des_read_pw_string; also now only returns -1, errno, or 0.
	(des_read_pw_string): New (emulated) function from KfM.
	(des_read_password): Update API for KfM merge.

	* str_to_key.c (des_string_to_key): Update call to des_cbc_cksum.
	(afs_string_to_key): New (emulated) function from KfM.
	(des_crypt, des_fcrypt, des_set_key): New (emulated) functions
	from KfM, presumed to be internal but exported by KfM anyway.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* read_passwd.c, unix_time.c: Drop _MSDOS support.

	* quad_cksum.c: Don't explicitly declare pointers FAR any more.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* des.c, key_sched.c, new_rnd_key.c, des_pcbc_encrypt.c,
	quad_cksum.c, str_to_key.c: Don't use KRB5_DLLIMP.

2001-07-31  Ezra Peisach  <epeisach@mit.edu>

	* read_passwd.c: Create local variable that takes the "int"
	bufsize and makes it unsigned for use in malloc, strcmp, etc.

2001-07-19  Ken Raeburn  <raeburn@mit.edu>

	* des.c (des_ecb_encrypt): Put "static" before "const" for local
	variable "iv".

2001-06-21  Ezra Peisach  <epeisach@mit.edu>

	* verify.c (do_decrypt, do_encrypt): Cast argument to
 	des_ecb_encrypt to unsigned long *.

2001-05-31  Ezra Peisach  <epeisach@mit.edu>

	* des.c (des_ecb_encrypt): Do not use a variable named "encrypt".
	* enc_dec.c (des_cbc_encrypt): Likewise.
	* pcbc_encrypt.c (des_pcbc_encrypt): Likewise.

2001-04-26  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't use HAS_ANSI_VOLATILE.

2001-04-12  Danilo Almeida  <dalmeida@mit.edu>

	* cksum.c (des_cbc_cksum): Gee, a consistent calling convntion.
	What a concept!

2001-04-10  Ken Raeburn  <raeburn@mit.edu>

	* cksum.c (des_cbc_cksum): Arguments IN, KEY, and IV now const.
	* des.c (des_ecb_encrypt): Change type of arg "schedule" to
	const des_key_schedule and drop register decl.  Make local
	variable "iv" const.
	* enc_dec.c (des_cbc_encrypt): Arguments KEY and IV now const.
	* pcbc_encrypt.c (des_pcbc_encrypt): Argument SCHEDULE now const.
	Drop some unnecessary casts.
	* quad_cksum.c (vaxtohl, vaxtohs): Cast to pointer to const.
	(des_quad_cksum): Argument IN now points to const.
	* str_to_key.c (des_string_to_key): String argument now const.
	Delete local declaration of des_cbc_cksum.  Delete or fix some
	casts.
	* t_pcbc.c (main): Pass address of ivec to des_pcbc_encrypt.
	* util.c (des_cblock_print_file): Delete unnecessary cast.

	* Makefile.in (STLIBOBJS, OBJS, SRCS): Delete references to
	k4_glue.c etc.
	(clean): Remove t_quad and t_pcbc object files and test programs.
	* k4_glue.c: Deleted.

2001-04-09  Ken Raeburn  <raeburn@mit.edu>

	* t_pcbc.c: New file.
	* Makefile.in (t_pcbc): New target.
	(check-unix): Depend on and run t_pcbc.

	* pcbc_encrypt.c (des_pcbc_encrypt): Initialize plainl and plainr
	to keep compiler happy.

	* des.h: Deleted to avoid confusion with the other des.h in the
	tree.  All files changed to include des_int.h and
	(the other) des.h instead.
	* new_rnd_key.c (des_init_random_number_generator): Cast seed data
	pointer to keep compiler happy.
	* read_passwd.c (intr_routine, des_read_pw_string): Add
	prototypes.
	(des_read_password): Fix call sequence for des_string_to_key.
	* str_to_key.c (des_string_to_key): Remove static storage in favor
	of automatic storage.  Fix call sequence to des_key_sched.  Delete
	no-op while loop.
	* t_quad.c (main): Fix call sequence for des_quad_cksum.
	* verify.c (des_string_to_key, des_key_sched, des_ecb_encrypt,
	des_cbc_encrypt): Removed declarations.
	(do_encrypt, do_decrypt): Prototype.  Make args point to unsigned
	char, and return types void.
	(main): Declare return type.  Make automatic var in_length be
	unsigned long; discard some casts, but cast it when passing to
	memcmp.  Remove extra arg passed to des_cbc_cksum.
	(flip): Delete unused function.

	* quad_cksum.c (des_quad_cksum): Add comments.  Force 32-bit
	arithmetic just to be careful.

2001-04-07  Ken Raeburn  <raeburn@mit.edu>

	* t_quad.c: New file.
	* Makefile.in (t_quad): New target.
	(check-unix): Depend on and run t_quad.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* cksum.c (des_cbc_cksum): Length is unsigned long.

	* enc_dec.c (des_cbc_encrypt): Length is unsigned long. 

Thu Jun 29 17:11:17 2000  Ezra Peisach  <epeisach@mit.edu>

	* random_key.c (des_random_key): Add parentheses around assignment
 	used as truth value.

2000-03-14  Ken Raeburn  <raeburn@mit.edu>

	* read_passwd.c (des_read_pw_string): Make ointrfunc volatile.
	Fix volatile decl for readin_string.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

Mon May 10 15:21:30 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

Thu Nov 12 17:20:25 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (STLIBOBJS, OBJS, SRCS): Restore des.c

	* des.c: Restore des_ecb_encrypt and make it use the cbc
	interface.

1998-10-27  Marc Horowitz  <marc@mit.edu>

	* random_key.c, new_rnd_key.c: make the v4 compat random key code
	use the krb5 crypto interface, instead of the des implementation
	internals.

Wed Apr 15 18:03:43 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (SHLIB_EXPDEPS):
	(SHLIB_EXPLIBS): Rename libcrypto -> libk5crypto.

Tue Mar  3 08:59:03 1998  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Add KRB5_BUILD_PROGRAM

	* Makefile.in (verify): Use CC_LINK and proper Makefile variables
        for library dependencies.

Wed Feb 18 16:10:05 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trialing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Fri Jan 23 22:19:39 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Add AC_PROG_INSTALL since it's need by the install
		rules.

Tue Nov 18 18:57:07 1997  Tom Yu  <tlyu@mit.edu>

	* quad_cksum.c (des_quad_cksum): Reorder parameters to match the
	prototype in include/kerberosIV/des.h.

	* pcbc_encrypt.c: Fix up parameters to use a des_cblock* as the
	ivec to match the prototype in include/kerberosIV/des.h.

	* Makefile.in: Garbage collect some old library build system
	stuff.

Mon Oct 27 01:14:16 1997  Tom Yu  <tlyu@mit.edu>

	* pcbc_encrypt.c, quad_cksum.c: Punt duplicates of definitions;
 	use local des.h only, as that appears to be safe.  Also, replace
	uses of KRB_INT32 with DES_INT32 to remove temptation to misuse.

	* des.h: Don't include k5-int.h any longer, as des_int.h already
	gets it.

Tue Oct 14 15:40:46 1997  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* Makefile.in (LIBMAJOR): Bump major version due to possible
 	change in type sizes.

Sat Feb 22 18:55:52 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Use some of the new library list build rules in
		win-post.in

Sat Feb 22 01:07:34 1997  Sam Hartman  <hartmans@tertius.mit.edu>

	* read_passwd.c: Don't base definitions on unix being defined.


Fri Feb 21 19:11:33 1997  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (SHLIB_EXPLIBS): Depend on -lcrypto

Sun Feb 16 23:29:09 1997  Richard Basch  <basch@lehman.com>

	* pcbc_encrypt.c: Export des_pcbc_encrypt (win16/win32)

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build

	* des.c, des.h, key_sched.c, new_rnd_key.c, pcbc_encrypt.c,
	read_passwd.c, unix_time.c:
		DLL export various functions (mostly for wintel)

Wed Jan  8 01:31:22 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (clean-unix, install-unix): Properly install and clean.

Mon Jan  6 07:47:56 1997  Ezra Peisach  <epeisach@mit.edu>

	* configure.in, Makefile.in: Update to new library building procedure.

Mon Nov 18 20:39:02 1996  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Set shared library version to 1.0. [krb5-libs/201]

Wed Aug  7 12:50:36 1996  Ezra Peisach  <epeisach@mit.edu>

	* new_rnd_key.c (des_set_sequence_number): Change cast to
		krb5_octet to char *. 

	* des.c (des_ecb_encrypt): Add const keyword in cast to make
		suncc happy.   

Tue May 21 20:42:16 1996  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (check-unix): Use KRB5_RUN_FLAGS

Mon May 13 15:24:18 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (SHLIB_LIBS): For shared library, add dependency on
		libkrb5.so 

	* configure.in (CRYPTO_SH_VERS): Pass krb5 shared library version
		to Makefile.

Sat May 11 17:36:26 EDT 1996  Richard Basch  <basch@lehman.com>

	* new_rnd_key.c: Use sizeof(mit_des_cblock) instead of sizeof(key)
	so that we copy the full DES key instead of only 4 bytes.

Thu May  2 18:44:02 1996  Richard Basch  <basch@lehman.com>

	* random_key.c new_rnd_key.c:
	Use the rewritten random number routines of libcrypto

Fri Oct  6 22:01:18 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Oct  2 11:07:24 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in (V5_MAKE_SHARED_LIB): Change rule to install
		version 0.1 of the library. Pass the libcrypto version
		number to Makefile

	* Makefile.in (CRYPTO_VER): Get the proper libcrypto version number

Fri Sep 29 01:28:11 1995  Theodore Y. Ts'o  <tytso@dcl>

	* pcbc_encrypt.c: #include autoconf.h instead of osconf.h, because
		that's the file we really care about.

Mon Sep 25 16:51:10 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

        * string2key.c : s/keytype/enctype/g, s/KEYTYPE/ENCTYPE/g

Thu Aug 24 18:51:53 1995  Theodore Y. Ts'o  <tytso@dcl>

	* .Sanitize: Update file list

Thu Jul 27 15:23:26 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Check for the sizes of short, int and long.
	* des.c - Cast mit_des_ecb_encrypt arguments correctly.
	* pcbc_encrypt.c - Remove inclusion of k5-config.h.
	* verify.c - Fix compiler grumbles.


Fri Jul 7 16:22:13 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Remove LDFLAGS, it's set by configure.

Wed Jun 28 17:09:34 1995  Mark Eichin  <eichin@cygnus.com>

	* read_passwd.c, configure.in: use HAS_ANSI_VOLATILE instead.

Tue Jun 27 23:17:11 1995  Mark Eichin  <eichin@cygnus.com>

	* read_passwd.c: only use volatile if __STDC__ is 1.

Tue Jun 27 15:51:10 EDT 1995	Paul Park	(pjpark@mit.edu)
	* util.c - Make #endif ansi-compliant.
	* read_passwd.c - Add signal name parameter to signal handler to
		conform to prototype.

Mon Jun 26 14:39:18 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* Makefile.in (LDFLAGS): Removed bogus -g.  It breaks on shared
        links when you're actually calling ld not cc.

Fri Jun 23 18:16:09 1995  Tom Yu  (tlyu@dragons-lair)

	* configure.in: fix Sam's typo so libdes425.a gets symlinked
		properly.

Fri Jun 23 12:45:43 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* configure.in: New static library targets.

	* Makefile.in : Add new static library target handling.

Fri Jun 16 17:00:04 EDT 1995	Paul Park	(pjpark@mit.edu)
	* k4_glue.c - Add this module with the "req_act_vno" symbol definition
		so that we can use old versions of K4.
	* configure.in - Check for #pragma weak.
	* Makefile.in - Add k4_glue.c, Add K4 to include list.

Fri Jun 16 11:15:11 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Add install target for shared library.


Thu Jun 15 18:00:45 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Change "./DONE" target to "DONE" since we have a rule
		for how to build it.  Also add definitions for shared library
		building rules.
	* configure.in - Create symlinks for archive and shared library when
		we build them.

Wed Jun 14 07:37:26 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in (libdes425.a): Don't copy library up a level. Let
		above Makefile symlink to it.

Fri Jun  9 19:18:59 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun  8 23:24:20 1995    <tytso@rsx-11.mit.edu>

	* read_passwd.c (des_read_pw_string): Don't depend on
		krb5_read_password(); this created a circular dependency
		in the libraries.  This code is now duplicated in
		des_read_pw_string.

	* util.c (des_cblock_print_file): Fix -Wall nit.

Mon Jun  5 21:02:37 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* quad_cksum: Convert longs to KRB_INT32 for 64 bit platforms.

Fri May 26 21:43:52 1995  Theodore Y. Ts'o  (tytso@dcl)

	* util.c: Added new function, des_cblock_print_file(), which is
		referenced by libkrb4.a.  (Even though it's never used,
		some OS's demand that all of the references in a
		shared library have to be resolved.)

Mon May  1 11:29:37 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* read_passwd.c: (des_read_pw_string): Call to krb5_read_password
		wants a pointer to the length of the buffer.

Fri Apr 28 13:35:25 1995  Theodore Y. Ts'o  <tytso@dcl>

	* read_passwd.c (des_read_pw_string): Add des_read_pw_string,
		since it's used by the V4 login.c code.

Thu Apr 13 15:49:16 1995 Keith Vetter (keithv@fusion.com)

	* *.[ch]: removed unneeded INTERFACE from non-api functions.

Wed Mar 22 11:21:38 1995 Keith Vetter (keithv@fusion.com)

	* read_passwd.c: changed return value to krb5_error_code
        * des.h: same as above
        * unix_time.c: didn't work on the PC. Copied PC time code from 
           krb5\os\ustime.c.

Mon Mar 20 21:14:40 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in, unix_time.c(unix_time_gmt_unixsec): Added function
		needed for des425 to work with the Cygnus krb.a.

Wed Mar 15 13:44:23 1995 Keith Vetter (keithv@fusion.com)

	* des.h: now includes des_int.h for proper prototypes.
	* enc_dec.c: cast the types of the input/output buffers in calling
           the encrypt routine.
	* key_sched.c: removed prototype of a non-existent routine.
	* new_rnd_key.c: removed prototypes in the file and instead include
           header file with the real prototypes.
	* random_key.c: code, as it was, could never have worked. Adding 
           prototypes revealed that it was passing KEY with the wrong level
           of indirection.
        
Tue Mar 7 19:57:28 1995 Keith Vetter (keithv@fusion.com)

	* pcbc_enc.c: added casts on the long->char assignments.
        * str_to_key.c: converted int->long to match types.


Wed Mar  8 17:13:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (clean): Dete verify.o on a "make clean".

Wed Mar  1 17:57:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* verify.c: Remove declaration of exit().

Tue Feb 28 01:30:11 1995  John Gilmore  (gnu at toad.com)

	* cksum.c, des.c, des.h, enc_dec.c, pcbc_encrypt.c, quad_cksum.c,
	read_passwd.c, string2key.c, weak_key.c:  Avoid <krb5/...> includes.

Tue Feb 21 17:42:44 1995 Keith Vetter (keithv@fusion.com)

        * Makefile.in: made to work on the PC
	* *.c, des.h: added windows INTERFACE keyword
        * read_passwd.c: renamed a static variable to avoid compiler error
        * quad_cksum.c: errno extern declaration removed on the PC

Fri Feb  3 17:23:45 1995  Theodore Y. Ts'o  (tytso@dcl)

	* pcbc_encrypt.c: Add SIZEOF_FOO checks to properly define
		  KRB_INT32

Wed Jan 18 15:12:18 1995  Theodore Y. Ts'o  (tytso@dcl)

	* read_passwd.c (des_read_password): Declare global_context and
		initialize it if necessary.

Fri Jan 13 15:23:47 1995  Chris Provenzano (proven@mit.edu)

    * Added krb5_context to all krb5_routines

Thu Nov  3 18:29:10 1994  Mark Eichin  (eichin@cygnus.com)

	* pcbc_encrypt.c: moved from f_pcbc.c in lib/crypto/des, and
	inlined proper des.h to avoid confusion in names.
	* Makefile.in: add -I to CFLAGS to get f_tables.h from
	lib/crypto/des as well.

Wed Oct 26 14:23:36 1994    (tytso@rsx-11)

	* Makefile.in (check): 
	* verify.c (main): Add verification checks to the test suite.

Wed Oct 19 12:16:13 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: make install obey $(DESTDIR) completely

Mon Oct  3 22:48:14 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: make install obey $(DESTDIR)

Thu Aug  4 03:40:55 1994  Tom Yu  (tlyu@dragons-lair)

	* configure.in: oops look for install program

	* Makefile.in: make install fixes

